controllers/EtapaController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Etapa;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * EtapaController implements the CRUD actions for Etapa model.
 */
class EtapaController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Etapa models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Etapa::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Etapa model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Etapa model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Etapa();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->numetapa]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Etapa model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->numetapa]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Etapa model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Etapa model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Etapa the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Etapa::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/LlevaController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Lleva;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * LlevaController implements the CRUD actions for Lleva model.
 */
class LlevaController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Lleva models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Lleva::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Lleva model.
     * @param integer $numetapa
     * @param string $código
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($numetapa, $código)
    {
        return $this->render('view', [
            'model' => $this->findModel($numetapa, $código),
        ]);
    }

    /**
     * Creates a new Lleva model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Lleva();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'numetapa' => $model->numetapa, 'código' => $model->código]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Lleva model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $numetapa
     * @param string $código
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($numetapa, $código)
    {
        $model = $this->findModel($numetapa, $código);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'numetapa' => $model->numetapa, 'código' => $model->código]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Lleva model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $numetapa
     * @param string $código
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($numetapa, $código)
    {
        $this->findModel($numetapa, $código)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Lleva model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $numetapa
     * @param string $código
     * @return Lleva the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($numetapa, $código)
    {
        if (($model = Lleva::findOne(['numetapa' => $numetapa, 'código' => $código])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\Ciclista;
use yii\data\ActiveDataProvider;
use yii\data\SqlDataProvider;
use app\models\Lleva;
use app\models\Puerto;
use yii\widgets\ListView;
use app\models\Equipo;
use app\models\Etapa;


class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    
    public function actionCrud(){
        return $this->render("gestion");
    }
    
    public function actionConsulta1a(){
        //mediante active record
            $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()
                    ->select("nombre, edad")
                    ->distinct()
                    //->with('etapas'), con with hacemos la conexión pero no se ejecuta el join
                    ->joinWith('etapas', true, 'INNER JOIN'),
            'pagination'=>[
                'pageSize'=>6,
            ]
        ]);
        
        //var_dump(Ciclista::find()->with('etapas')->all()[2]->etapas); prueba para usar with en vez de joinWith
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['nombre','edad'],
            "titulo"=>"Consulta 1 con Active Record",
            "enunciado"=>"Nombre y edad de los ciclistas que han ganado etapas",
            "sql"=>"SELECT DISTINCT nombre, edad FROM ciclista JOIN etapa USING (dorsal)",
        ]);
        
    }
    public function actionConsulta1(){
        
        /*$numero = Yii::$app->db
                ->createCommand('select count(*)cuenta from ciclista')
                ->queryScalar();*/
        
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT DISTINCT nombre, edad FROM ciclista JOIN etapa USING (dorsal)',
            'pagination'=>[
                'pageSize' => 6,
            ]
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['nombre','edad'],
            "titulo"=>"Consulta 1 con DAO",
            "enunciado"=>"Nombre y edad de los ciclistas que han ganado etapas",
            "sql"=>"SELECT DISTINCT nombre, edad FROM ciclista JOIN etapa USING (dorsal)",
        ]);
    }
    
    public function actionConsulta2a(){
        //mediante active record
            $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()
                    ->select("nombre, edad")
                    ->distinct()
                    ->joinWith('puertos', true, 'INNER JOIN'),
            'pagination'=>[
                'pageSize'=>6,
            ]
        ]);
        
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['nombre','edad'],
            "titulo"=>"Consulta 2 con Active Record",
            "enunciado"=>"Nombre y edad de los ciclistas que han ganado puertos",
            "sql"=>"SELECT DISTINCT nombre, edad FROM ciclista JOIN puerto USING (dorsal)",
        ]);
        
    }
    
    public function actionConsulta2(){
        //mediante DAO
        
        /*$numero = Yii::$app->db
                ->createCommand("SELECT count(distinct edad) FROM ciclista WHERE nomequipo = 'Artiach'")
                ->queryScalar();*/
        
        
        $dataProvider = new SqlDataProvider([
            'sql'=>"SELECT DISTINCT nombre, edad FROM ciclista JOIN puerto USING (dorsal)",
            //'totalCount'=>$numero,
            'pagination'=>[
                'pageSize' => 6,
            ]
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['nombre','edad'],
            "titulo"=>"Consulta 2 con DAO",
            "enunciado"=>"Nombre y edad de los ciclistas que han ganado puertos",
            "sql"=>"SELECT DISTINCT nombre, edad FROM ciclista JOIN puerto USING (dorsal)",
        ]);
    }
    
    public function actionConsulta3a(){
        //mediante active record
            $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()
                    ->select("nombre, edad")
                    ->distinct()
                    ->joinWith('puertos', false, 'INNER JOIN')
                    ->joinWith('etapas', false, 'INNER JOIN'),
            'pagination'=>[
                'pageSize'=>6,
            ]
        ]);
        
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['nombre','edad'],
            "titulo"=>"Consulta 3 con Active Record",
            "enunciado"=>"Nombre y edad de los ciclistas que han ganado etapas y puertos",
            "sql"=>"SELECT DISTINCT nombre, edad FROM ciclista JOIN etapa USING(dorsal) JOIN puerto USING(dorsal)",
        ]);
        
        /*echo ListView::widget([
            'dataProvider' => $dataProvider,
            'itemView' => 'resultado1',
        ]);*/
        
    }
    
    public function actionConsulta3(){
        
        /*$numero = Yii::$app->db
                ->createCommand("SELECT count(DISTINCT edad) FROM ciclista WHERE nomequipo = 'Artiach' OR nomequipo = 'Amore Vita'")
                ->queryScalar();*/
        
        $dataProvider = new SqlDataProvider([
            'sql' => "SELECT DISTINCT nombre, edad FROM ciclista JOIN etapa USING(dorsal) JOIN puerto USING(dorsal)",
            //'totalCount' => $numero,
            /*'pagination' =>[
                'pageSize'=>5,
            ]*/
        ]);
        
        return $this->render('resultado',[
            "resultados" => $dataProvider,
            "campos"=>['nombre','edad'],
            "titulo"=>"Consulta 3 con DAO",
            "enunciado"=>"Nombre y edad de los ciclistas que han ganado etapas y puertos",
            "sql"=>"SELECT DISTINCT nombre, edad FROM ciclista JOIN etapa USING(dorsal) JOIN puerto USING(dorsal)",
        ]);
            
        
        
    }
    
    public function actionConsulta4a(){
        //mediante active record
        $dataProvider = new ActiveDataProvider([
            'query' => Equipo::find()
                    ->select("director")
                    ->distinct()
                    ->joinWith('ciclistas', false, 'INNER JOIN')
                    ->innerjoin('etapa', 'etapa.dorsal=ciclista.dorsal'),
            'pagination'=>[
                'pageSize'=>6,
            ]
        ]);
        
        
        //$a=Equipo::find()->joinWith('ciclistas',false,'inner join')->innerjoin('etapa', 'etapa.dorsal=ciclista.dorsal')->all();
        //var_dump($a[0]->ciclistas);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['director'],
            "titulo"=>"Consulta 4 con Active Record",
            "enunciado"=>"Listar el director de los equipos que tengan ciclistas que hayan ganado alguna etapa",
            "sql"=>"SELECT DISTINCT director FROM equipo JOIN ciclista USING(nomequipo) JOIN etapa USING(dorsal)",
        ]);
        
    }
    
    public function actionConsulta4(){
        
        /*$numero = Yii::$app->db
                ->createCommand("SELECT count(*) FROM ciclista WHERE edad<24 OR edad>30")
                ->queryScalar();*/
        
        $dataProvider = new SqlDataProvider([
            'sql' => "SELECT DISTINCT director FROM equipo JOIN ciclista USING(nomequipo) JOIN etapa USING(dorsal)",
            //'totalCount' =>$numero,
            'pagination'=>[
                'pageSize'=>5
            ],
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['director'],
            "titulo"=>"Consulta 4 con DAO",
            "enunciado"=>"Listar el director de los equipos que tengan ciclistas que hayan ganado alguna etapa",
            "sql"=>"SELECT DISTINCT director FROM equipo JOIN ciclista USING(nomequipo) JOIN etapa USING(dorsal)",
        ]);
    }
    
    public function actionConsulta5a(){
        //mediante active record
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()
                    ->select("l.dorsal, nombre")
                    ->distinct()
                    ->joinWith('llevas l', false, 'INNER JOIN'),
            'pagination'=>[
                'pageSize'=>6,
            ]
        ]);
        
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['dorsal','nombre'],
            "titulo"=>"Consulta 5 con Active Record",
            "enunciado"=>"Dorsal y nombre de los ciclistas que hayan llevado algún maillot",
            "sql"=>"SELECT DISTINCT dorsal, nombre FROM ciclista JOIN lleva USING(dorsal)",
        ]);
         
    }
    

views/site/_resultado1.php
  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <h2><?= $model->dorsal ?></h2>
        <h3><?= $model->código ?></h3>
        <p><?= $model->cuenta ?></p>
       
      </div>
    </div>
  </div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/gestion.php
<?php
use yii\helpers\Html;

echo Html::a('Ciclistas', ['ciclista/index'], ['class' => 'btn btn-primary btn-large']);

echo Html::a('Equipo', ['equipo/index'], ['class' => 'btn btn-primary btn-large']);

echo Html::a('Etapa', ['etapa/index'], ['class' => 'btn btn-primary btn-large']);

echo Html::a('Lleva', ['lleva/index'], ['class' => 'btn btn-primary btn-large']);

echo Html::a('Maillot', ['maillot/index'], ['class' => 'btn btn-primary btn-large']);

echo Html::a('Puerto', ['puerto/index'], ['class' => 'btn btn-primary btn-large']);

?>

views/site/index.php
<?php
use yii\helpers\Html;
/* @var $this yii\web\View */

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Consultas de Selección 4</h1>

        <p class="lead">Módulo 3 - Unidad 2</p>
    </div>

    <div class="body-content">

        <div class="row">
            <!--  
            botón de consulta
            -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 1</h3>
                        <p>Nombre y edad de los ciclistas que han ganado etapas</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta1a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta1'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!--  
            fin botón de consulta
            -->
            <!-- inicio consulta 2 -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 2</h3>
                        <p>Nombre y edad de los ciclistas que han ganado puertos</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta2a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta2'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!-- fin consulta 2 -->
            <!-- inicio consulta 3 -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 3</h3>
                        <p>Nombre y edad de los ciclistas que han ganado etapas y puertos</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta3a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta3'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!-- fin consulta 3 -->
            <!-- inicio consulta 4 -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 4</h3>
                        <p>Listar el director de los equipos que tengan ciclistas que hayan ganado alguna etapa</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta4a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta4'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!-- fin consulta 4 -->
            <!-- inicio consulta 5 -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 5</h3>
                        <p>Dorsal y nombre de los ciclistas que hayan llevado algún maillot</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta5a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta5'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!-- fin consulta 5 -->
            <!-- inicio consulta 6 -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 6</h3>
                        <p>Dorsal y nombre de los ciclistas que hayan llevado el maillot amarillo</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta6a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta6'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!-- fin consulta 6 -->
            <!-- inicio consulta 7 -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 7</h3>
                        <p>Dorsal de los ciclistas que hayan llevado algún maillot y que hayan ganado etapas</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta7a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta7'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!-- fin consulta 7 -->
            
            <!-- inicio consulta 8 -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 8</h3>
                        <p>Indicar el numetapa de las etapas que tengan puertos</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta8a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta8'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!-- fin consulta 8 -->
            
            <!-- inicio consulta 9 -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 9</h3>
                        <p>Indicar los km de las etapas que hayan ganado ciclistas del Banesto y que tengan puertos</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta9a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta9'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!-- fin consulta 9 -->
            
            <!-- inicio consulta 10 -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 10</h3>
                        <p>Listar el número de ciclistas que hayan ganado alguna etapa con puerto</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta10a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta10'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!-- fin consulta 10 -->
            
            <!-- inicio consulta 11 -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 11</h3>
                        <p>Indicar el nombre de los puertos que hayan sido ganados por ciclistas de Banesto</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta11a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta11'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!-- fin consulta 11 -->
            
            <!-- inicio consulta 12 -->
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>Consulta 12</h3>
                        <p>Listar el número de las etapas que tengan puerto que hayan sido ganadas por ciclistas de Banesto con más de 200km o 200km</p>
                        <p>
                            <?= Html::a('Active Record', ['site/consulta12a'], ['class' => 'btn btn-primary'])?>
                            <?= Html::a('DAO', ['site/consulta12'], ['class' => 'btn btn-default'])?>
                        </p>
                    </div>
                </div>
            </div>
            <!-- fin consulta 12 -->
            
            
        </div>

    </div>
</div>

views/site/resultado.php
<?php
use yii\grid\GridView;
?>

<div class="jumbotron">
        <h2><?=$titulo?></h2>

        <p class="lead"><?= $enunciado ?></p>
        <div class="well">
        <?= $sql ?>
        </div>
    </div>

    <?= GridView::widget([
        'dataProvider' => $resultados,
        'columns'=>$campos,
    
    ]); ?>

views/site/resultado1.php
<?php
use yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;
?>

<div class="jumbotron">
  <h2><?= $enunciado ?></h2>

  <p><?= $sql ?></p>
</div>

<div class="row">
<?= ListView::widget([
            'dataProvider' => $resultados,
            //'itemView' => function ($model, $key, $index, $widget) use ($resultados) {
                //return $this->render('_resultado1',['model' => $model,'resultado'=>$resultados]);},
            'itemView' => '_resultado1',
            'layout'=>"{summary}\n{pager}\n{items}",
        ]);
?>
</div>